Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Fixes in requirements.txt and default.py #3

Merged
merged 2 commits into from

2 participants

Sebastian Vetter David Winterbottom
Sebastian Vetter

I just started a new project and used tangent-kickstart and tangent-django-boilerplate. I realised that two things weren't working correctly:

  1. Running runserver_plus provided by the django_extensions package does not work as it cannot find Werkzeug. I added it to the requirements.txt file.
  2. When running tests using django's test runner, they brake due to django_extensions which tries to append its test cases to INSTALLED_APPS which is defined as tuple in default.py. I changed that to be a python list.

I thought I'd share these changes so that someone else doesn't run into the same issue :) Hope the fixes are OK.

Cheers,
Seb

David Winterbottom codeinthehole merged commit 26caaa1 into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
This page is out of date. Refresh to see the latest.
Showing with 3 additions and 2 deletions.
  1. +2 −2 www/conf/default.py
  2. +1 −0  www/deploy/requirements.txt
4 www/conf/default.py
View
@@ -110,7 +110,7 @@
location('templates'),
)
-INSTALLED_APPS = (
+INSTALLED_APPS = [
'django.contrib.auth',
'django.contrib.contenttypes',
'django.contrib.sessions',
@@ -122,7 +122,7 @@
'south', # Do not change the position of south in this list unless specificall instructed to by installation instructions
'django_extensions',
'debug_toolbar',
-)
+]
# This is set as in a HTML comment at the bottom of the page
HOSTNAME = 'N/A'
1  www/deploy/requirements.txt
View
@@ -6,3 +6,4 @@ django-extensions==0.7.1
python-memcached==1.47
Fabric==1.4.0
django_compressor==1.1.2
+Werkzeug==0.8.3
Something went wrong with that request. Please try again.